GNU bug report logs - #53594
no matching pattern #<package polkit..

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: "Guu, Jin-Cheng" <jin-cheng.guu@HIDDEN>; dated Fri, 28 Jan 2022 01:47:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 53594 <at> debbugs.gnu.org:


Received: (at 53594) by debbugs.gnu.org; 11 May 2022 20:16:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 16:16:04 2022
Received: from localhost ([127.0.0.1]:38617 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noskd-0001rV-Sz
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 16:16:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38386)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1noskc-0001kD-3V
 for 53594 <at> debbugs.gnu.org; Wed, 11 May 2022 16:16:02 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49346)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1noskW-0000L1-5H; Wed, 11 May 2022 16:15:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=iH/E10sC0EO9zBEqkTv1sZ8kpADKvZCsKZDLE1Pk9BA=; b=dfQhOGmncmzer1oX9R5T
 xGHnL3z6eoQzJKk8XIKMN1wDI0rVZUEnMCG5q1CyVRHLmeAt+8CZaKLzxHUI0kldfzN/JThwiyuiv
 DYA1nEwXVxpPCQiTGf/M8aCpi+VhUew4i4CHR5JYDzEiK2euI9NEbt6wx3ASVFwSf5beGzmluym5k
 y5kiFDaz7jwsjQyOBnZvXLSiWsFHxJNqgvpGqCvxObAMVHZQ28LOQX0BL0C7rWOaNcos+cJz/fsV4
 hk1oIaxpfNylVr278X4rCb6oeYSCvj5/F0V4vSlCHJ7HtHhzHADSWv0NpZ4IwDHZKLvNJyl/O7Eu8
 C352enqDtqSHpw==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:55249
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1noskU-00068h-Bp; Wed, 11 May 2022 16:15:55 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: bug#53594: no matching pattern #<package polkit..
References: <CAErjG5fe21uSsXLGFTycCGS=eMnpAyA=bEBwjJrVqQTOzhcEPw@HIDDEN>
 <874k5hch4d.fsf@HIDDEN>
 <CAErjG5efUuB7aW-x13whyXQKNsbWB2A_NqcqFUnWp81Ca2iPpQ@HIDDEN>
 <87k0bh3yy8.fsf@HIDDEN>
Date: Wed, 11 May 2022 22:15:52 +0200
In-Reply-To: <87k0bh3yy8.fsf@HIDDEN> (Josselin Poiret's message of "Fri, 
 22 Apr 2022 17:44:15 +0200")
Message-ID: <87sfpfn7uv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53594
Cc: Mathieu Othacehe <othacehe@HIDDEN>, 53594 <at> debbugs.gnu.org, "Guu,
 Jin-Cheng" <jin-cheng.guu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

I hit this as well while running `guix system reconfigure'
(unfortunately I didn't capture the stack trace).

Re-running `guix system reconfigure' right after it had failed
worked...

So my guess is that it's a stateful issue, having to do with
grafts: if polkit is not in the store, then we build/download
it and fail right after that, which is why it succeeds the
second time.

To be continued...

Ludo'.




Information forwarded to bug-guix@HIDDEN:
bug#53594; Package guix. Full text available.
Added indication that bug 53594 blocks53214 Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53594 <at> debbugs.gnu.org:


Received: (at 53594) by debbugs.gnu.org; 22 Apr 2022 15:44:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 11:44:19 2022
Received: from localhost ([127.0.0.1]:54556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhvSF-0004ny-Jb
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2022 11:44:19 -0400
Received: from jpoiret.xyz ([206.189.101.64]:45636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1nhvSD-0004nr-UM
 for 53594 <at> debbugs.gnu.org; Fri, 22 Apr 2022 11:44:18 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id CD0C01851E0;
 Fri, 22 Apr 2022 15:44:15 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1650642256;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=CM8dcnlXf1PqLVkC1wxjEv1ZLCpFBGh8bCmCFIKbkDI=;
 b=R6xl3jHnmxYG94LguJeShqv/d2BNthOEc6tm3tHj5bn+0UGfPdWFPSdLqZM1LyuUBdy6TA
 I66kxM+WUf1koTiPY1FvBaY0/+Hy2/pwLrBUFrupw4WzE9/TUbqYqJs4pUk8Bo7BDb/ELQ
 iGCLg0m/AUEbcI9SV5A8rmVJG7XK7VPuKV4bEoXlkv82XG5bQZCQ19lB33yCo5tTHxOiNl
 9oLkPq22qce05vkvAyxe6eznc96jw0bc1fdErdLtlGYEZlxIDphfEOCDKr6YzNBmdfqpZa
 oOGdTEF7alOatua9UY6X6ndSM3sEgaLQwwfi3K9bSnkjAeM8nmPPANbhOwPx5w==
From: Josselin Poiret <dev@HIDDEN>
To: "Guu, Jin-Cheng" <jin-cheng.guu@HIDDEN>, Mathieu Othacehe
 <othacehe@HIDDEN>
Subject: Re: bug#53594: no matching pattern #<package polkit..
In-Reply-To: <CAErjG5efUuB7aW-x13whyXQKNsbWB2A_NqcqFUnWp81Ca2iPpQ@HIDDEN>
References: <CAErjG5fe21uSsXLGFTycCGS=eMnpAyA=bEBwjJrVqQTOzhcEPw@HIDDEN>
 <874k5hch4d.fsf@HIDDEN>
 <CAErjG5efUuB7aW-x13whyXQKNsbWB2A_NqcqFUnWp81Ca2iPpQ@HIDDEN>
Date: Fri, 22 Apr 2022 17:44:15 +0200
Message-ID: <87k0bh3yy8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spamd-Bar: /
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello everyone, Someone reported the exact same issue today
 on IRC [1], with polkit being the culprit. With a bigger backtrace, the match
 error happens at line 901 in guix/gexp.scm, in the match inside the return
 par [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 53594
Cc: 53594 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello everyone, Someone reported the exact same issue today
    on IRC [1], with polkit being the culprit. With a bigger backtrace, the match
    error happens at line 901 in guix/gexp.scm, in the match inside the return
    par [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Hello everyone,

Someone reported the exact same issue today on IRC [1], with polkit
being the culprit.  With a bigger backtrace, the match error happens at
line 901 in guix/gexp.scm, in the match inside the return part of
lower-inputs.  This suggests that lower-object doesn't manage to return
a derivation but only the polkit package.  I suspect that this has to do
with the complex polkit package interactions that we have, with polkit
being an identifier syntax for either polkit-mozjs or polkit-duktape,
with duktape package/inherit'ing polkit-mozjs with is itself replaced by
polkit-mozjs/fixed.

Maybe there's an interaction with the caching as well, while grafting
and looping?

I've tried to reproduce this locally by building a gexp that has either
polkit, polkit-duktape or polkit-mozjs as an input, enabling or
disabling fallback or grafting, to no avail.

Maybe someone else has another idea?

[1] https://logs.guix.gnu.org/guix/2022-04-22.log#154402

Best,
-- 
Josselin Poiret




Information forwarded to bug-guix@HIDDEN:
bug#53594; Package guix. Full text available.

Message received at 53594 <at> debbugs.gnu.org:


Received: (at 53594) by debbugs.gnu.org; 2 Feb 2022 17:31:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 02 12:31:47 2022
Received: from localhost ([127.0.0.1]:53366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nFJTv-0002Qv-LC
	for submit <at> debbugs.gnu.org; Wed, 02 Feb 2022 12:31:47 -0500
Received: from mail-pj1-f45.google.com ([209.85.216.45]:40895)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jin-cheng.guu@HIDDEN>) id 1nFJTs-0002Jk-JO
 for 53594 <at> debbugs.gnu.org; Wed, 02 Feb 2022 12:31:45 -0500
Received: by mail-pj1-f45.google.com with SMTP id
 z10-20020a17090acb0a00b001b520826011so7503738pjt.5
 for <53594 <at> debbugs.gnu.org>; Wed, 02 Feb 2022 09:31:44 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=stonybrook.edu; s=sbu-gmail;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=bcgoimxt6KfPJKLGJWFT4b4MAqfdOjttAGfwB2jizWE=;
 b=XlPiNfrDYg9XEKWNuwvxyN+b3h1Sg/l34k3+kllyegYWq93yv75FuaON4ChMVwyLTV
 MIXy8dpXgi2tYpBybKurnORapTLb/JKCguxVmR4kCxaSjM+bxPo9/AMk2R0ljWUV8BJq
 eTqEJb/h9shT4pqjkigwMNvw07dT+MfPjgi3w=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=bcgoimxt6KfPJKLGJWFT4b4MAqfdOjttAGfwB2jizWE=;
 b=ZS9sRNWca3vPVZe1gH7iI+Cq/nJOxd0Iv25gnrorybu7W4/weTiRxs19Yyrc4hPHc2
 xFp+cga4uxjewHELkCUXE4BKdeG7EtqLxazXytL8p7sj0/PApk/dtO4WTAFuinhGqLMD
 Ywez/JDeiN5Hd9kaR+PQHQjUjsuhZafuuAy6RI+0LUYs+cvznVB56tvkOwgWPKABiHl3
 xUYEriEsFZrutg3JbMxhNBd/KrC2wUkM8ZDtyRi4v0ybc3R/RlSB4yqNgCYI5kLRRM1G
 lmAVsq5MekuXkwiCElpQt09JE1GDmSiECeyH02lqyGOyGhV122Uv7/GU/oHanymXkPwC
 pLOw==
X-Gm-Message-State: AOAM530HpdrQdFuCOGj+Uyzvp20EeJDgEyfA0TkaD0Lrk5aGUllm+G2K
 2M2xEns0tULRDIrYIZdUbVBspsQMUVNMpw==
X-Google-Smtp-Source: ABdhPJxqRaQKA5Q+sVe8ai/JBw5ZxWWun/g+0jonnmWLTyfmx5WIbVMKu+b8u9dFZOTDwJanUJRV2A==
X-Received: by 2002:a17:902:edd5:: with SMTP id
 q21mr17477064plk.93.1643823096629; 
 Wed, 02 Feb 2022 09:31:36 -0800 (PST)
Received: from mail-pj1-f50.google.com (mail-pj1-f50.google.com.
 [209.85.216.50])
 by smtp.gmail.com with ESMTPSA id s6sm35045932pgk.44.2022.02.02.09.31.36
 for <53594 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 02 Feb 2022 09:31:36 -0800 (PST)
Received: by mail-pj1-f50.google.com with SMTP id m7so16614pjk.0
 for <53594 <at> debbugs.gnu.org>; Wed, 02 Feb 2022 09:31:36 -0800 (PST)
X-Received: by 2002:a17:90b:2513:: with SMTP id
 ns19mr9288905pjb.29.1643823095660; 
 Wed, 02 Feb 2022 09:31:35 -0800 (PST)
MIME-Version: 1.0
Received: by 2002:a17:522:b9c9:b0:427:6ef:8cdd with HTTP; Wed, 2 Feb 2022
 09:31:35 -0800 (PST)
In-Reply-To: <874k5hch4d.fsf@HIDDEN>
References: <CAErjG5fe21uSsXLGFTycCGS=eMnpAyA=bEBwjJrVqQTOzhcEPw@HIDDEN>
 <874k5hch4d.fsf@HIDDEN>
From: "Guu, Jin-Cheng" <jin-cheng.guu@HIDDEN>
Date: Wed, 2 Feb 2022 12:31:35 -0500
X-Gmail-Original-Message-ID: <CAErjG5efUuB7aW-x13whyXQKNsbWB2A_NqcqFUnWp81Ca2iPpQ@HIDDEN>
Message-ID: <CAErjG5efUuB7aW-x13whyXQKNsbWB2A_NqcqFUnWp81Ca2iPpQ@HIDDEN>
Subject: Re: bug#53594: no matching pattern #<package polkit..
To: Mathieu Othacehe <othacehe@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53594
Cc: 53594 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I downloaded it form the Guix website. If memory served me right, it was from
https://guix.gnu.org/en/download/latest/

Jin




Information forwarded to bug-guix@HIDDEN:
bug#53594; Package guix. Full text available.

Message received at 53594 <at> debbugs.gnu.org:


Received: (at 53594) by debbugs.gnu.org; 2 Feb 2022 17:30:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 02 12:30:08 2022
Received: from localhost ([127.0.0.1]:53361 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nFJSK-0000pk-0x
	for submit <at> debbugs.gnu.org; Wed, 02 Feb 2022 12:30:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1nFJSG-0000ls-IB
 for 53594 <at> debbugs.gnu.org; Wed, 02 Feb 2022 12:30:06 -0500
Received: from [2001:470:142:3::e] (port=39438 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1nFJR9-0002eL-Ch; Wed, 02 Feb 2022 12:28:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=PspblSccySqAFRCik6pQwa5lK7vSBtLLchejF3smBgU=; b=g1ReENIGnhuSYCTa2FP6
 rZ9WlrIQRDggENhzDjEZFqucr8pa+s51MAWM7uEufTzIqkLGHHFPHL+DYHKjxEyrr4Tq0BN097NrM
 Wz/2gmTAXuD4HIPDGDypo4xuQtnIPpApmnLVsif4cblf7lOaLW2BT5WkbCpsChN35t6dy/IcKO8H2
 YNjzwiGHsILqUzYDY5/g/3LVKoeIqVwjiBP/1cjSic2qmhXjq4FmntSN5zWNjuXCyWSvGOSegehHk
 L4Y2wLS3Myol3Bq40JcPaRtzfzdlOEb7DVTgrNZsH8V1fYu2wNGrA8W2T41k8llzTM/StmQf6mjjw
 HOaPKR1AYOFujw==;
Received: from [2a01:e0a:2c2:ef10:2807:242d:1d79:6546] (port=58136 helo=meije)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1nFJR5-0001cY-Mf; Wed, 02 Feb 2022 12:28:53 -0500
From: Mathieu Othacehe <othacehe@HIDDEN>
To: "Guu, Jin-Cheng" <jin-cheng.guu@HIDDEN>
Subject: Re: bug#53594: no matching pattern #<package polkit..
References: <CAErjG5fe21uSsXLGFTycCGS=eMnpAyA=bEBwjJrVqQTOzhcEPw@HIDDEN>
Date: Wed, 02 Feb 2022 18:28:50 +0100
In-Reply-To: <CAErjG5fe21uSsXLGFTycCGS=eMnpAyA=bEBwjJrVqQTOzhcEPw@HIDDEN>
 (Jin-Cheng Guu's message of "Thu, 27 Jan 2022 19:45:20 -0600")
Message-ID: <874k5hch4d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53594
Cc: 53594 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey,

Thanks for the report.

>     ice-9/boot-9.scm:1685:16: In procedure raise-exception:
>     Throw to key `match-error' with args `("match" "no matching
> pattern" #<package polkit@HIDDEN gnu/packages/polkit.scm: 54
> 7f6e64aa7b00>)'.

I had the exact same issue while trying to build an installer
image. Running `make clean-go` and retrying fixed the error. Did you
build the installation image or downloaded it from the Guix website?

Thanks,

Mathieu




Information forwarded to bug-guix@HIDDEN:
bug#53594; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jan 2022 01:46:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 27 20:46:10 2022
Received: from localhost ([127.0.0.1]:57015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nDGL3-0004OK-V7
	for submit <at> debbugs.gnu.org; Thu, 27 Jan 2022 20:46:10 -0500
Received: from lists.gnu.org ([209.51.188.17]:46278)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jin-cheng.guu@HIDDEN>) id 1nDGKz-0004L2-RX
 for submit <at> debbugs.gnu.org; Thu, 27 Jan 2022 20:46:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52648)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jin-cheng.guu@HIDDEN>)
 id 1nDGKy-0005Gw-Cz
 for bug-guix@HIDDEN; Thu, 27 Jan 2022 20:46:05 -0500
Received: from [2607:f8b0:4864:20::1032] (port=44546
 helo=mail-pj1-x1032.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <jin-cheng.guu@HIDDEN>)
 id 1nDGKu-0003ij-3D
 for bug-guix@HIDDEN; Thu, 27 Jan 2022 20:46:01 -0500
Received: by mail-pj1-x1032.google.com with SMTP id
 nn16-20020a17090b38d000b001b56b2bce31so4999925pjb.3
 for <bug-guix@HIDDEN>; Thu, 27 Jan 2022 17:45:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=stonybrook.edu; s=sbu-gmail;
 h=mime-version:from:date:message-id:subject:to;
 bh=F5z3WF5f5L+ISZzGqyHb84eWOl1fbrkZ1xxV4tQ9GVs=;
 b=aibm3AhbjBBLY9QO34Si7lCTDfpy8oeG2Lseggk8gBkJRIn6BOSaO5+wuw9tXERfzf
 0gwvDS+2dlZ/r8SvgnWM4ID3HZx/QmltXJuSssXUFbSsWpaRVCzwD/pYh6R+BSNFeBn2
 2pgLxrgIMM+hHcrFPD0vVs4gX7Ddk0ABdOkdU=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=F5z3WF5f5L+ISZzGqyHb84eWOl1fbrkZ1xxV4tQ9GVs=;
 b=z4oAIejbqtCv+u0NIG1uB9xETLiFWD57oJmJoTcVYSxyZKtqVV//8Z0WNn3OuN8LR9
 3UafCrIa/vtL4me6PYkTTYoOpzEFE0QPdafJUYVrBviVBhrFylFMfo6ac8vyhjIZ2iw5
 YjGxi4O5+fvfaP0+402P0r1q8WajWVEbWyZPO2gOKSnoiyTItHKH8paIznlXXqxreecx
 cTEQHHJKRMPh76OEoCFknTiFDJ4ZnJG3Pk8g4rGyH69gbZuHsdN6GRS0/Q27OsXBCqyV
 OKyoe7hMdFxeMXitN1gbU1/hkTREVYNzJrSfnHbRpu9KFVvrW6IPDVcwfTBGCyMdb4iF
 KGZQ==
X-Gm-Message-State: AOAM531Yhs+ZwM8fTVSmrpJbocchT8nLNtJZxIzqeF5AijYO2BUFwA0W
 Ji+vIyXhDMAyhIDR0u+FMg+dczwcop7ISA==
X-Google-Smtp-Source: ABdhPJxAYTHJqumjko4Ba93ydw1bTjhHt8pxAhiMZKaEQ5qEJJThUw1rMt3Ioxozs1ybcv8rp3VYKA==
X-Received: by 2002:a17:90a:1941:: with SMTP id
 1mr17336033pjh.16.1643334322582; 
 Thu, 27 Jan 2022 17:45:22 -0800 (PST)
Received: from mail-pf1-f177.google.com (mail-pf1-f177.google.com.
 [209.85.210.177])
 by smtp.gmail.com with ESMTPSA id z13sm7313382pfj.23.2022.01.27.17.45.21
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 27 Jan 2022 17:45:21 -0800 (PST)
Received: by mail-pf1-f177.google.com with SMTP id i30so4672058pfk.8
 for <bug-guix@HIDDEN>; Thu, 27 Jan 2022 17:45:21 -0800 (PST)
X-Received: by 2002:a05:6a00:1248:: with SMTP id
 u8mr5561043pfi.73.1643334320647; 
 Thu, 27 Jan 2022 17:45:20 -0800 (PST)
MIME-Version: 1.0
Received: by 2002:a17:522:b9c9:b0:427:6ef:8cdd with HTTP; Thu, 27 Jan 2022
 17:45:20 -0800 (PST)
From: "Guu, Jin-Cheng" <jin-cheng.guu@HIDDEN>
Date: Thu, 27 Jan 2022 19:45:20 -0600
X-Gmail-Original-Message-ID: <CAErjG5fe21uSsXLGFTycCGS=eMnpAyA=bEBwjJrVqQTOzhcEPw@HIDDEN>
Message-ID: <CAErjG5fe21uSsXLGFTycCGS=eMnpAyA=bEBwjJrVqQTOzhcEPw@HIDDEN>
Subject: no matching pattern #<package polkit..
To: bug-guix@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2607:f8b0:4864:20::1032
 (failed)
Received-SPF: permerror client-ip=2607:f8b0:4864:20::1032;
 envelope-from=jin-cheng.guu@HIDDEN; helo=mail-pj1-x1032.google.com
X-Spam_score_int: -12
X-Spam_score: -1.3
X-Spam_bar: -
X-Spam_report: (-1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 PDS_HP_HELO_NORDNS=0.001, RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793,
 SPF_HELO_NONE=0.001, T_SPF_PERMERROR=0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hello Guix,

I obtained a latest dev ISO for guix system and tried installing it
just now. With the graphical installer, I received the error below for
two times. Perhaps it's a bug?

    In ice-9/boot-9.scm:
      1685:16  1 (raise-exception _ #:continuable? _)
      1685:16  0 (raise-exception _#:continuable? _)

    ice-9/boot-9.scm:1685:16: In procedure raise-exception:
    Throw to key `match-error' with args `("match" "no matching
pattern" #<package polkit@HIDDEN gnu/packages/polkit.scm: 54
7f6e64aa7b00>)'.

    Command failed with exit code 1.
    Press Enter to continue.

Thank you for all your work!

Best Regards,
Jin




Acknowledgement sent to "Guu, Jin-Cheng" <jin-cheng.guu@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#53594; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 11 May 2022 20:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.